				<!-- JS Editor -->
				<div class="editor">
					<div id="errorService"></div>
					<div id="editorWrapper" class="hidden">
						<div id="editor"></div>
						<div class="editor-tools">
							<button id="editorClose">close</button>
							<button id="editorSave">save</button>
						</div>
					</div>
					<link rel="stylesheet" type="text/css" href="../(@_BACK_REF_@)editor/ckeditor.config.css"> <!--...-->
					<script src="../(@_BACK_REF_@)editor/ckeditor.js"></script> <!--,,-->
					<script>
						var text = document.getElementById('text'),
							errorService = document.getElementById('errorService'),
							editorWrapper = document.getElementById('editorWrapper'),
							placeholder = '<i class="editor-placeholder">double-click to write text</i>',
							errorMessage = 'Editor service does not respond. Is it running?';			
						// Double-click to open editor
						text.addEventListener("dblclick", function () {
							this.classList.add('hidden');
							editorWrapper.classList.remove('hidden');
						});
						// Create editor
						ClassicEditor.create(document.querySelector('#editor'), {
							language: 'en'
						}).then(editor => {
							window.editor = editor;			
							// Close button
							document.getElementById('editorClose').addEventListener('click', function () {
								text.innerHTML = (editor.editing.view.getDomRoot().innerText.trim() !== '') ? editor.getData() : placeholder;
								editorWrapper.classList.add('hidden');
								text.classList.remove('hidden');
							});
							// Save button
							document.querySelector('#editorSave').addEventListener('click', () => {
								editorWrapper.classList.add('hidden');
								editorService((editor.editing.view.getDomRoot().innerText !== '') ? editor.getData() : '');
							});
							// XMLHttpRequest
							function editorService(html) {
								var xhr = new XMLHttpRequest();
								xhr.timeout = 3000;
								xhr.open('POST', 'http://localhost:(@_SERVICE_PORT_@)/editor', true); // ...
								xhr.onreadystatechange = function () {
									if (xhr.readyState === 4) {
										if (xhr.status === 200) {
											if (xhr.responseText) {
												var res = JSON.parse(xhr.responseText);
												if (res.text == '') {
													text.innerHTML = placeholder;
													editor.setData('');
												} else {
													text.innerHTML = res.text;
													editor.setData(res.text);
												}
												text.classList.remove('hidden');
											}
										} else {
											errorService.innerHTML = errorMessage;
										}
									}
								};
								xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');
								xhr.send(JSON.stringify({ text: html, file: "(@_PAGE_TEXT_FILE_@)" })); // ...
							}
							editorService('[LoadFile]');
						}).catch(error => {
							console.log(error);
						});
					</script>
				</div>
				<!-- /JS Editor -->